SAY command in config.local.template breaks local boot on highbank

Bug #1172966 reported by Michael Hudson-Doyle on 2013-04-25
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
MAAS
High
Julian Edwards
1.2
High
Julian Edwards
Trunk
High
Julian Edwards
maas (Ubuntu)
High
Unassigned
Precise
High
Unassigned

Bug Description

As per the comment in config.install.armhf.template, SAY is not implemented in the uboot on highbank. However, there is a SAY command in config.local.template and that breaks booting of a deployed node. Removing the SAY command makes it work.

[Impact]
This bug prevents highbank machines to localboot when instructed by PXE from MAAS.

[Test Case]
1. Install MAAS
2. Add a highbank machine
3. Deploy a machine (wait for it to install and reboot).
(Without the fix, the machine will fail to PXE boot. With the fix, it will pxe boot and then localboot succesfully)

[Regression Potential]
Minimal. This change simply removes a line that is only used to display a message when PXE booting.

Related branches

Changed in maas:
status: New → Triaged
importance: Undecided → High
Raphaël Badin (rvb) wrote :

I'd like to know more about this problem because we've been installing ARM nodes with success on a daily basis in the QA lab.

This is a test I ran this morning:
2 mediawiki services where successfully deployed on ARM nodes (this is a simple run of the test suite that runs daily in the lab, the MAAS package used here does not include the fix for this bug):
juju status: http://paste.ubuntu.com/5603787/
excerpt from the log of one of the ARM nodes installing: http://paste.ubuntu.com/5603788/

Robie Basak (racb) wrote :

I wouldn't be surprised if different U-Boot versions handled SAY differently. IIRC it has never been implemented, but perhaps error handling has changed so that one silently ignores it and another fails instead?

Raphaël and Michael, please could you both check the U-Boot output through serial for the version number, to see if this is the reason for the difference in behaviour? I think it is output just after reboot.

Raphaël Badin (rvb) wrote :

Thanks for looking into this Robie, here is what I get on an ARM machine in the QA Lab: "U-Boot 2012.07 (Oct 29 2012 - 14:14:05)" (full output: https://pastebin.canonical.com/90079/)

Raphaël Badin <email address hidden> writes:

> Thanks for looking into this Robie, here is what I get on an ARM machine
> in the QA Lab: "U-Boot 2012.07 (Oct 29 2012 - 14:14:05)" (full output:
> https://pastebin.canonical.com/90079/)

Ah yes, I went through this on IRC with dannf already... I have a
*newer* U-Boot, surprisingly: "U-Boot 2013.01-rc1 (Jan 17 2013 -
09:56:01)". This is from v2.1.5 of the firmware.

Cheers,
mwh

Changed in maas (Ubuntu):
status: New → Fix Released
importance: Undecided → High
Changed in maas (Ubuntu Precise):
importance: Undecided → High
assignee: nobody → Andres Rodriguez (andreserl)
description: updated
Changed in maas (Ubuntu Precise):
assignee: Andres Rodriguez (andreserl) → nobody

Hello Michael, or anyone else affected,

Accepted maas into precise-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/maas/1.2+bzr1373+dfsg-0ubuntu1~12.04.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in maas (Ubuntu Precise):
status: New → Fix Committed
tags: added: verification-needed
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package maas - 1.2+bzr1373+dfsg-0ubuntu1~12.04.2

---------------
maas (1.2+bzr1373+dfsg-0ubuntu1~12.04.2) precise-proposed; urgency=low

  * MAAS Stable Release Update, debian/patches:
    - 99_filestorage_empty_files_lp1204507.patch: Fix to allow the storage
      of empty files when using Juju Go, otherwise machines will fail to
      bootstrap. (LP: #1204507)
    - 99_fix_highbank_localboot_lp1172966.patch: Fix to PXE LOCALBOOT on
      highbank servers by removing a PXE message. Otherwise highbank will
      fail to pxe boot. (LP: #1172966)
    - 99_no_ipmi_detection_kvm_lp1064527.patch: Fix to ensure that IPMI
      detection does not happen on KVM VM's, otherwise enlistment and
      commissioning process will take too long. (LP: #1064527)
    - 99_update_cluster_info_cli_lp1172193.patch: Fix to allow admins to
      update cluster information from the API/CLI and not only restrict it
      to the WebUI. (LP: #1172193)
    - 99_fix_ipmi_power_command_lp1171418: Fix to ensure that ipmi commands
      are always executed regardless of the state of the machine.
      (LP: #1171418)
    - 99_default_timezone_utc_lp1211447.patch: Default to UTC for the
      deployed nodes. (LP: #1211447)
 -- Andres Rodriguez <email address hidden> Mon, 12 Aug 2013 12:18:34 -0400

Changed in maas (Ubuntu Precise):
status: Fix Committed → Fix Released

The verification of this Stable Release Update has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers